#include <iostream>
#include <vector>
using namespace std;

int main() {
    int n, h;  
    cin >> n >> h; 
    
    vector<int> arr(n);

    for (int i = 0; i < n; ++i) {
        cin >> arr[i];  
    }

    int counter = 0;

    for (int i = 0; i < n; ++i) {
        if (arr[i] > h) {
            counter++;
        } else {
            break;  
        }
    }
    counter = counter+1;
    if(counter > n){
        cout << -1;
    }
    else{
        
        cout << counter << endl;
    }

    return 0;
}